# Uses of Interface
org.opensaml.saml.saml2.metadata.Organization

Packages that use Organization
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of Organization in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return Organization
Modifier and Type
Method
Description
`Organization`
EntityDescriptor.`getOrganization()`
Gets the organization for this entity.
`Organization`
RoleDescriptor.`getOrganization()`
Gets the organization responsible for this role.
Methods in org.opensaml.saml.saml2.metadata with parameters of type Organization
Modifier and Type
Method
Description
`void`
EntityDescriptor.`setOrganization(Organization organization)`
Sets the organization for this entity.
`void`
RoleDescriptor.`setOrganization(Organization organization)`
Sets the organization responsible for this role.

## Uses of Organization in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement Organization
Modifier and Type
Class
Description
`class`
`OrganizationImpl`
Concrete implementation of `Organization`.
Fields in org.opensaml.saml.saml2.metadata.impl declared as Organization
Modifier and Type
Field
Description
`private Organization`
EntityDescriptorImpl.`organization`
Organization the administers this entity.
`private Organization`
RoleDescriptorImpl.`organization`
Organization administering this role.
`private Organization`
RoleDescriptorXSAnyAdapter.`organization`
Organization child.
Methods in org.opensaml.saml.saml2.metadata.impl that return Organization
Modifier and Type
Method
Description
`Organization`
OrganizationBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Organization`
OrganizationBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Organization`
EntityDescriptorImpl.`getOrganization()`
Gets the organization for this entity.
`Organization`
RoleDescriptorImpl.`getOrganization()`
Gets the organization responsible for this role.
`Organization`
RoleDescriptorXSAnyAdapter.`getOrganization()`
Gets the organization responsible for this role.
Methods in org.opensaml.saml.saml2.metadata.impl with parameters of type Organization
Modifier and Type
Method
Description
`void`
EntityDescriptorImpl.`setOrganization(Organization newOrganization)`
Sets the organization for this entity.
`void`
RoleDescriptorImpl.`setOrganization(Organization org)`
Sets the organization responsible for this role.
`void`
RoleDescriptorXSAnyAdapter.`setOrganization(Organization newOrganization)`
Sets the organization responsible for this role.